コアサービス API

電子メディアAPI

テレビ、ラジオ、チャンネル、プログラム、トランスクリプト、放送ジャーナリズム、視覚音声ニュースの報道。

APIリファレンス バージョン: 1.0.0 9 エンドポイント 認証
放送メディア

ベース URL

https://api.pressmonitor.com/electronic-media/v1

認証

すべてのリクエストはベアラートークン認証を使用します。すべての呼び出しにAuthorizationヘッダーを追加してください。

Authorization: Bearer YOUR_TOKEN
GET /channels

チャンネルを検索

Search Channels

パラメータ

名前 タイプ 場所 必須 説明
query string query いいえ 検索用語またはキーワード
country_code string query いいえ 国コードでフィルター(ISO 3166-1 alpha-2)
count integer query いいえ 返却する結果の数

レスポンス

200 成功
GET /headlines

見出しを取得

Search Headlines

パラメータ

名前 タイプ 場所 必須 説明
query string query はい 検索用語またはキーワード
channel string query いいえ フィルター用チャンネルID
country_code string query いいえ 国コードでフィルター(ISO 3166-1 alpha-2)
lang_code string query いいえ 言語コードでフィルター(ISO 639-1)
date_from string query いいえ 日付範囲の開始日(YYYY-MM-DD)
date_to string query いいえ 日付範囲の終了日(YYYY-MM-DD)
count integer query いいえ 返却する結果の数
search_after string query いいえ 次ページのためのページネーションカーソル
sort string query いいえ ソート順(日付または関連度)

レスポンス

200 成功
GET /briefs

概要を取得

Search Briefs

パラメータ

名前 タイプ 場所 必須 説明
query string query はい 検索用語またはキーワード
channel string query いいえ フィルター用チャンネルID
count integer query いいえ 返却する結果の数

レスポンス

200 成功
GET /transcripts

トランスクリプトを取得

Search Transcripts

パラメータ

名前 タイプ 場所 必須 説明
query string query はい 検索用語またはキーワード
channel string query いいえ フィルター用チャンネルID
count integer query いいえ 返却する結果の数

レスポンス

200 成功
GET /transcripts-metadata

タイミング付きトランスクリプトを取得

Search Transcripts Metadata

パラメータ

名前 タイプ 場所 必須 説明
query string query はい 検索用語またはキーワード
channel string query いいえ フィルター用チャンネルID
count integer query いいえ 返却する結果の数

レスポンス

200 成功
GET /headlines-translated

翻訳済み見出しを取得

Search Headlines Translated

パラメータ

名前 タイプ 場所 必須 説明
query string query はい 検索用語またはキーワード
target_lang_code string query はい 翻訳対象の言語コード(ISO 639-1)
channel string query いいえ フィルター用チャンネルID
count integer query いいえ 返却する結果の数

レスポンス

200 成功
GET /briefs-translated

翻訳済み概要を取得

Search Briefs Translated

パラメータ

名前 タイプ 場所 必須 説明
query string query はい 検索用語またはキーワード
target_lang_code string query はい 翻訳対象の言語コード(ISO 639-1)
channel string query いいえ フィルター用チャンネルID
count integer query いいえ 返却する結果の数

レスポンス

200 成功
GET /transcripts-translated

翻訳済みトランスクリプトを取得

Search Transcripts Translated

パラメータ

名前 タイプ 場所 必須 説明
query string query はい 検索用語またはキーワード
target_lang_code string query はい 翻訳対象の言語コード(ISO 639-1)
channel string query いいえ フィルター用チャンネルID
count integer query いいえ 返却する結果の数

レスポンス

200 成功
GET /transcripts-metadata-translated

タイミング付き翻訳トランスクリプトを取得

Search Transcripts Metadata Translated

パラメータ

名前 タイプ 場所 必須 説明
query string query はい 検索用語またはキーワード
target_lang_code string query はい 翻訳対象の言語コード(ISO 639-1)
channel string query いいえ フィルター用チャンネルID
count integer query いいえ 返却する結果の数

レスポンス

200 成功